/*****************************************************************************
     This file is part of Changedfiles

     Copright (C)2001  Michael L. Welles

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************/
/*  $Id: command_action.h,v 1.4 2002/02/14 05:31:46 philip Exp $ */
#ifndef __COMMANDACTION_H_
#define __COMMANDACTION_H_
#include "action.h"
#include "action_exception.h"

#include <string> 


using std::string; 

class CommandAction : public Action
{ 

 public: 

  CommandAction(){}; 
  CommandAction( string command, int max_retry); 
  ~CommandAction(){}; 
  
  string get_command(); 
  bool set_command( string command ); 

  bool do_action() throw ( ActionException );
  string get_description();
  
 private: 

  string m_command; 
   

}; 


#endif
