/*****************************************************************************
     This file is part of Changedfiles

     Copright (C)2002  Mike Welles

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************/

#ifndef _ACTION_EXCEPTION_H_
#define _ACTION_EXCEPTION_H_

#include <string>

using std::string;
/** 
 * this is thrown by actions at creation or execution time
 */
class ActionException
{
 public:
  ActionException(){ m_what = "empty"; };
  ActionException( string message );
  ActionException( const ActionException &e );
  ~ActionException(){};

  string what(){ return m_what; };
 protected:
  string m_what;
 private:
};

#endif
